{if $ipv6error}
    <div style="background-repeat: no-repeat;
        background-position: 5px center;
        margin: 10px 5px;
        padding: 6px 5px 6px 45px;
        min-height: 28px;
        background-color: #F2D4CE;
        border: 1px solid #AE432E;
        color: #C00;
        text-align: left;
        border-radius: 5px;"><strong><span class="title">Error</span></strong><br>{$ipv6error}
    </div>
{/if}
<h1>PTR Records</h1>
<div style="overflow-x:scroll;">
    <form action="" method="post">
      <input type="hidden" name="dnsaction" value="save" />
    <table width="100%" cellpadding="5" cellspacing="0" border="0">
        <tr><th width="35%">RDNS IP </th><th width="30%">TTL</th><th width="35%" colspan="2">Hostname</th></tr>
            {foreach from=$records item="entry" key="k"}
            <tr><td><input style="width : 410px;" type="text" name="record[{$entry.line}][name]" value="{$entry.name}" disabled /></td><td><input type="text" name="record[{$entry.line}][ttl]" value="{$entry.ttl}" /></td><td><input type="text" name="record[{$entry.line}][value]" value="{$entry.value}" /></td><td><input type="button" name="dnsaction" onclick="window.location.href='clientarea.php?action=productdetails&id={$smarty.get.id}&modop=custom&a=management&page=rdns&dnsaction=delete&line={$entry.line}&mgname={$entry.name}';return false;" value="Delete" /></tr>
            {foreachelse}
                    <tr><td colspan="3">You don't have any records yet.</td></tr>
            {/foreach}
    </table>
      <button class="btn" style="margin: 0px; font-weight: bold">Save</button>
    </form>
</div>
<br><h3>Add New PTR Records</h3>
 <form action="" method="post" >
                    <input type="hidden" name="dnsaction" value="add" />
                    <input type="hidden" name="nps_nonce" value="{$smarty.session.nps_nonce}" />

                <table width="100%" cellpadding="5" cellspacing="0" border="0">

                        <tr>    <th valign="top">RDNS IP</th><td valign="top"><select name="addrecord[name]">{if !$iplist}<option>No IPs Available</option>{else}{foreach from=$iplist item="entry"}<option>{$entry}</option>{/foreach}{/if}</select></td> </tr>
                        <tr>    <th valign="top">TTL</th><td valign="top"><input name="addrecord[ttl]" value="600" size="25" /></td> </tr>
                        <tr>    <th valign="top">HOSTNAME</th><td valign="top"><input name="addrecord[value]" value="" size="30" /></td> </tr>
  
                </table>
                    <button class="btn" style="margin: 0px; font-weight: bold">Add</button>
                </form>
{if $checkcidr}
    <br><h3>Add New IPv6 Record</h3>
<div>
     <form action="" method="post" >
                        <input type="hidden" name="dnsaction" value="addipv6" />
                        <input type="hidden" name="nps_nonce" value="{$smarty.session.nps_nonce}" />

                    <table width="100%" cellpadding="5" cellspacing="0" border="0">

                        <tr>   <th valign="top">IP V6</th>  <td valign="top"><input name="addrecord[name]" value="" style="width : 260px;"/></td></tr>
                        <tr>   <th valign="top">TTL</th>    <td valign="top"><input name="addrecord[ttl]" value="600" size="25" /></td></tr>
                        <tr>   <th valign="top">HOSTNAME</th><td valign="top"><input name="addrecord[value]" value="" size="30" /></td></tr>
                            
                    </table>
                        <button class="btn" style="margin: 0px; font-weight: bold">Add</button>
                    </form>
</div>
{/if}