{*
 * NOC-PS WHCMS module
 * Provisioning form template
 *
 * Copyright (C) Maxnet 2010
 *
 * You are free to modify this module to fit your needs
 * However be aware that you need a NOC-PS license to actually provision servers
 *}


<script type="text/javascript">
{literal}
jQuery(document).ready(function(){

	jQuery("select[name=disklayout]").change(function(){
		
			if(jQuery("select[name=disklayout] :selected").text() !="Standard")
				{	
					jQuery(".view_layout").show();
					jQuery(".edit_layout").show();
					jQuery(".ajax").show();
                                     
				}
			 else {
					jQuery(".view_layout").hide();
					jQuery(".edit_layout").hide();
					jQuery(".ajax").hide();
			
			}
	
	});

	jQuery('.view_layout').click(function(){
			jQuery(".ajax").html('');
			var layout = jQuery("select[name=disklayout] :selected").val();
			var elem   = jQuery('.ajax');
			if(layout=='')
			{
				jQuery(elem).append("No layouts available for this Profile");
				return false;
			}
			jQuery.get("clientarea.php?action=productdetails&id={/literal}{$id}{literal}&modop=custom&a=management&page=install&ajax=1&name="+layout,function(data){
			
				var obj = jQuery.parseJSON(data);
				if(obj !=null)
					jQuery(elem).append("<textarea class='view_only' style='width:100%;height:200px' readonly>"+obj.data.data+"</textarea>");
				else
					jQuery(elem).append('No layouts available for this Profile');
				});
			return false;
		});
	 jQuery(".ajax").ajaxStart(function(){
			   jQuery(this).html("<img class='loader_img' src='images/loading.gif' alt='' />");
			 }).ajaxStop(function(){
					jQuery(".loader_img").remove();
				});
});

{/literal}
{* Function to fill in the 'disklayout', 'package selection' and 'extra' combos depending on profile *}
function onProfileChange()
{ldelim}
  var a = {$addons_json};
  var p = {$profiles_json};
{literal}
  var f = document.forms.prov;
  var pid = f.profile.value;
  var pr = false;
  
  for (var k=0; k<p.length; k++)
  {
	pr = p[k];
	if (pr.id == pid)
	{
	  break;
	}
  }
    
  var t = pr.tags;
  var tags;
  if (t)
  {
	  tags = t.split(' ');
  }
  else
  {
	  tags = [];
  }
  
  var packages    = [['','Standard']];
  var disklayouts = [['','Standard']];
  var extras	  = [['','None']];
  var totalAddons = a.length;
  
  for (var i=0; i <totalAddons; i++)
  {
	  pr = a[i];
	  t  = pr.tag;
	  
	  for (var j=0; j < tags.length; j++)
	  {
		  if (t == tags[j])
		  {
			  var typ   = pr.type;
			  var item  = [t+':'+pr.name, pr.descr];
			  
			  if (typ == 'packages')
			  {
				  packages.push(item);
			  }
			  else if (typ == 'disklayout')
			  {
				  disklayouts.push(item);
			  }
			  else
			  {
				  extras.push(item);
			  }
				  
			  break;
		  }
	  }				
  }
  
  array2options(f.disklayout, disklayouts);
  array2options(f.packageselection, packages);
  array2options(f.extra1, extras);
  array2options(f.extra2, extras);

  f.disklayout.disabled = (disklayouts.length == 1);
  if(disklayouts.length != 1){
		jQuery("select[name=disklayout] :selected").text('Standard');
	
	}	else {
                            
			jQuery(".view_layout").hide();
			jQuery(".edit_layout").hide();
			jQuery(".ajax").hide();
	}
  f.packageselection.disabled = (packages.length == 1);
  f.extra1.disabled = (extras.length == 1);
  f.extra2.disabled = (extras.length < 3);
}

function array2options(sel, arr)
{
  var opt = sel.options;
  opt.length = 0;

  for (var i=0; i<arr.length; i++)
  {
	opt[opt.length] = new Option(arr[i][1], arr[i][0]);
  }
}

{/literal}
</script>

{if $error}
<p>
  <b>Error:</b> {$error}
</p>
{else}
<p style="color:green;">{$info}</p>
{/if}

{if $serverstatus!=""}
  <h2>Provisioning status</h2>

<p>
Your server is currently being provisioned... Be aware that this could take 10+ minutes to complete...
</p>

<form name="prov" method="post" action="clientarea.php?action=productdetails&id={$id}&modop=custom&a=management&page=install">
  <input type="hidden" name="id" value="{$id|escape}" />
  <input type="hidden" name="nps_nonce" value="{$nonce}" />

  <table width="100%" cellspacing="0" cellpadding="0" class="frame">
    <tr>
      <td><table width="100%" cellpadding="10" cellspacing="0">

          <tr>
            <td width="150" class="fieldarea">MAC-address</td>
            <td>{$mac}</td>
          </tr>

          <tr>
            <td width="150" class="fieldarea">IP-address</td>
            <td>{$ip}</td>
          </tr>

          <tr>
            <td width="150" class="fieldarea">Hostname</td>
            <td>{$serverstatus.hostname|escape}</td>
          </tr>

          <tr>
            <td width="150" class="fieldarea">Installation profile</td>
            <td>{$serverstatus.profilename|escape}</td>
          </tr>

          <tr>
            <td width="150" class="fieldarea">Last status message</td>
            <td>{$serverstatus.statusmsg|escape}</td>
          </tr>

		  <tr>
			<td>&nbsp;
			<td><input type="submit" value="Update status" onclick='window.location.reload();return false;'>&nbsp;&nbsp;<input type="submit" name="setupaction" value="Cancel provisioning">
		  </tr>

		</table></td>
	</tr>
  </table>
</form>
{else}
<h3>Provision server</h3>
<form name="prov" method="post" action="clientarea.php?action=productdetails&id={$id}&modop=custom&a=management&page=install">
 <input type="hidden" name="id" value="{$id|escape}" />
  <input type="hidden" name="nps_nonce" value="{$nonce}" />
  <input type="hidden" name="setupaction" value="install" />

  <table width="100%" cellspacing="0" cellpadding="0" class="frame">
    <tr>
      <td><table width="100%" cellpadding="10" cellspacing="0">

          <tr>
            <td width="250" class="fieldarea">MAC-address</td>
            <td>{$mac}<input type="hidden" name="mac" value="{$mac}" /></td>
          </tr>

          <tr>
            <td width="250" class="fieldarea">IP-address</td>
            <td>{$ip}</td>
          </tr>
		  
{if $ask_ipmi_password}
          <tr>
            <td width="250" class="fieldarea">Your server's IPMI password</td>
            <td><input type="password" name="ipmipassword" style="width: 350px;"></td>
          </tr>
{/if}

          <tr>
            <td width="250" class="fieldarea">Hostname</td>
            <td><input type="text" name="hostname" style="width: 350px;"></td>
          </tr>

          <tr>
            <td width="250" class="fieldarea">Installation profile</td>
            <td><select name="profile" style="width: 350px;" onchange="onProfileChange();">
				{foreach item=profile from=$profiles}
			      <option value="{$profile.id}"{if $defaultProfile == $profile.id} selected{/if}>{$profile.name|escape}</option>
				{/foreach}
			</select></td>
          </tr>

          <tr>
            <td width="250" class="fieldarea">Disk layout</td>
            <td><select name="disklayout" style="width: 350px;">
			</select> {if $allow_edit==1}<a href="#" title="" class="edit_layout" style="display:none;">[edit]</a>{/if} <a href="#" class="view_layout" style="display:none;">[view]</a><div class='ajax'></div></td>
          </tr>

          <tr>
            <td width="250" class="fieldarea">Package selection</td>
            <td><select name="packageselection" style="width: 350px;">
			</select></td>
          </tr>
		  
          <tr>
            <td width="250" class="fieldarea">Extras</td>
            <td>
			  <select name="extra1" style="width: 350px;"></select><br><br>
			  <select name="extra2" style="width: 350px;"></select>
			</td>
          </tr>
		  
          <tr>
            <td width="250" class="fieldarea">Root user password</td>
            <td><input type="password" name="rootpassword" style="width: 350px;"></td>
          </tr>

          <tr>
            <td width="250" class="fieldarea">Repeat root user password</td>
            <td><input type="password" name="rootpassword2" style="width: 350px;"></td>
          </tr>

          <tr>
            <td width="250" class="fieldarea">Regular user name (optional)</td>
            <td><input type="text" name="adminuser" value="charlie" style="width: 350px;"></td>
          </tr>
		  
          <tr>
            <td width="250" class="fieldarea">User password (optional)</td>
            <td><input type="password" name="userpassword" style="width: 350px;"></td>
          </tr>

          <tr>
            <td width="250" class="fieldarea">Repeat user password (optional)</td>
            <td><input type="password" name="userpassword2" style="width: 350px;"></td>
          </tr>
          <tr>
            <td width="250" class="fieldarea">Enter the code from image</td> 
            <td><input type="text" name="captcha" style="width: 100px;"><img src="modules/servers/instantps/captcha/captcha.php" /></td>
          </tr>
		  
		  <tr>
			<td>&nbsp;
			<td><input type="submit" name="provbutton" value="Provision server (WARNING: overwrites data on disk)" onclick="return confirm('This will delete all existing data on disk. Are you sure?');">
		  </tr>

		</table></td>
	</tr>
  </table>
</form>

<script type="text/javascript">
{* Load comboboxes with information of default profile *}
onProfileChange();
</script>
{/if}
