<h1>Stats</h1>
  <div id='temp'></div>
  <br /><br />
  <div id='voltage'></div>
  <br /><br />
  <div id='fans'></div>
  <br /><br />
  <div id='other'></div>
  <script type="text/javascript" src="modules/servers/instantps/highcharts/highcharts.js"></script>
  <script type="text/javascript">
      {literal}
      jQuery(function () {
        jQuery('#temp').highcharts({ 
            chart: {
                type: 'column'
            },
            title: {
                text: 'Server Health',
                x: -20 //center
            },
            subtitle: {
                text: '',
                x: -20
            },
            xAxis: {
                 categories: ['Temperature (C)']
            },
            yAxis: {
                title: {
                    text: 'Temperature (C)'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }]
            },
            tooltip: {
                valueSuffix: 'C'
            },
            legend: {
                layout: 'vertical',
                align: 'right',
                verticalAlign: 'middle',
                borderWidth: 0
            },
            series: [{/literal} 
                {foreach from=$stats.sys_temp item="it" key="k" name="foo"}
                    {ldelim}
                    name: '{$k}',
                    data: [{if $it[3]!='Disabled' && is_numeric($it[3])}{$it[3]}{else}0{/if}]
                   {rdelim},
                {/foreach} 
                {foreach from=$stats.mem_temp item="it" key="k" name="foo"}
                    {ldelim}
                    name: '{$k}',
                    data: [{if $it[3]!='Disabled' && is_numeric($it[3])}{$it[3]}{else}0{/if}]
                   {rdelim},
                {/foreach}
             {literal}
            ]
        });


        jQuery('#voltage').highcharts({ 
            chart: {
                type: 'column'
            },
            title: {
                text: 'Voltage',
                x: -20 //center
            },
            subtitle: {
                text: '',
                x: -20
            },
            xAxis: {
                 categories: ['CPU','System']
            },
            yAxis: {
                title: {
                    text: 'Voltage'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }]
            },
            tooltip: {
                valueSuffix: 'V'
            },
            legend: {
                layout: 'vertical',
                align: 'right',
                verticalAlign: 'middle',
                borderWidth: 0
            },
            series: [ 
            {/literal}    
                {foreach from=$stats.cpu_voltage item="it" key="k" name="foo"}
                  {ldelim}
                    name: '{$k}',
                    data: [{if $it[3]!='Disabled' && is_numeric($it[3])}{$it[3]}{elseif $it[2]!='Disabled' && is_numeric($it[2])}{$it[2]}{else}0{/if}]
                   {rdelim},
                {/foreach}
                {foreach from=$stats.sys_voltage item="it" key="k" name="foo"}
                  {ldelim}
                    name: '{$k}',
                    data: [{if $it[3]!='Disabled' && is_numeric($it[3])}{$it[3]}{elseif $it[2]!='Disabled' && is_numeric($it[2])}{$it[2]}{else}0{/if}]
                   {rdelim},
                {/foreach}    
             {literal}

            ]
        });

        jQuery('#fans').highcharts({ 
            chart: {
                type: 'column'
            },
            title: {
                text: 'Fans',
                x: -20 //center
            },
            subtitle: {
                text: '',
                x: -20
            },
            xAxis: {
                 categories: ['Fans']
            },
            yAxis: {
                title: {
                    //text: 'Temperature (C)'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }]
            },
            tooltip: {
                //valueSuffix: 'C'
            },
            legend: {
                layout: 'vertical',
                align: 'right',
                verticalAlign: 'middle',
                borderWidth: 0
            },
            series: [ 
            {/literal}    
                {foreach from=$stats.fans item="it" key="k" name="foo"}
                  {ldelim}
                    name: '{$k}',
                    data: [{if $it[3]!='Disabled' && is_numeric($it[3])}{$it[3]}{elseif $it[2]!='Disabled' && is_numeric($it[2])}{$it[2]}{else}0{/if}]
                   {rdelim},
                {/foreach}
             {literal}

            ]
        });

        jQuery('#other').highcharts({ 
            chart: {
                type: 'column'
            },
            title: {
                text: 'Physical Security & Power Supply',
                x: -20 //center
            },
            subtitle: {
                text: '',
                x: -20
            },
            xAxis: {
            },
            yAxis: {
                title: {
                   // text: 'Temperature (C)'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }]
            },
            tooltip: {
                //valueSuffix: 'C'
            },
            legend: {
                layout: 'vertical',
                align: 'right',
                verticalAlign: 'middle',
                borderWidth: 0
            },
            series: [ 
            {/literal}    
                  {ldelim}
                    name: 'Chassis Intru',
                    data: [{foreach from=$stats.phys_secure item="it"}{if is_numeric($it[3])}{$it[3]}{elseif is_numeric($it[2])}{$it[2]}{/if}{/foreach}]
                  {rdelim},
                  {ldelim}
                    name: 'PS Status',
                    data: [{foreach from=$stats.power_supply item="it"}{if is_numeric($it[3])}{$it[3]}{elseif is_numeric($it[2])}{$it[2]}{/if}{/foreach}]
                  {rdelim},            
           {literal}                   
            ]
        });
});
{/literal}
</script>

